*** empty log message ***

This commit is contained in:
Dave Goodwin 2004-02-03 11:53:46 +00:00
parent ad2291e096
commit d57b9c8f2a
4 changed files with 76 additions and 115 deletions

View file

@ -1,26 +1,35 @@
import sys
bindir = '/usr/local/bin'
libdir = '/Users/dgg/dv/sf/cantera/build/lib/powerpc-apple-darwin7.2.0'
incdir = '/Users/dgg/dv/sf/cantera/build/include'
libs = ' -loneD -lzeroD -ltransport -lcantera -lrecipes -lcvode -lctlapack -lctmath -lctblas -ltpx -lg2c -lgcc'
bindir = 'c:/cantera/bin'
libdir = 'd:/dgg/dv/sf/cantera/build/lib/i686-pc-win32'
incdir = 'd:/dgg/dv/sf/cantera/build/include'
dflibdir = 'D:\Program Files\Microsoft Visual Studio\DF98\LIB'
libs = ['clib', 'oneD', 'zeroD', 'transport', 'cantera', 'recipes',
'cvode', 'ctlapack', 'ctmath', 'ctblas', 'tpx']
f = open('setup.m','w')
f.write('cd cantera\nbuildux\nexit\n')
f.write('cd cantera\nbuild_cantera\nexit\n')
f.close()
fb = open('cantera/buildux.m','w')
fb = open('cantera/build_cantera.m','w')
fb.write("""
disp('building Cantera..');
mex private/ctmethods.cpp private/ctfunctions.cpp ...
mex -I"""+incdir+""" private/ctmethods.cpp private/ctfunctions.cpp ...
private/xmlmethods.cpp private/phasemethods.cpp ...
private/thermomethods.cpp private/kineticsmethods.cpp ...
private/transportmethods.cpp private/reactormethods.cpp ...
private/wallmethods.cpp private/flowdevicemethods.cpp ...
private/onedimmethods.cpp private/surfmethods.cpp private/write.cpp ...
"""+'-I'+incdir+' -L'+libdir+' '+libs+'\n'+"""disp('done.');
""")
s = ''
for lib in libs:
s += ' '+libdir+'/'+lib+'.lib ...\n'
fb.write(s)
fb.write(' "'+dflibdir+'/dformd.lib" ...\n')
fb.write(' "'+dflibdir+'/dfconsol.lib" ...\n')
fb.write(' "'+dflibdir+'/dfport.lib" \n')
fb.close()
fp = open('cantera/ctbin.m','w')

View file

@ -150,9 +150,10 @@ namespace Cantera {
void SurfPhase::
setCoverages(const doublereal* theta) {
double sum = 0.0;
for (int k = 0; k < m_kk; k++) sum += theta[k];
int k;
for (k = 0; k < m_kk; k++) sum += theta[k];
for (int k = 0; k < m_kk; k++) {
for (k = 0; k < m_kk; k++) {
m_work[k] = m_n0*theta[k]/(sum*size(k));
}
/*

136
config/configure vendored
View file

@ -584,16 +584,16 @@ if test "x${prefix}" = "xNONE"; then
prefix=${ac_default_prefix}
fi
local_inst=0
if test ! -d ${prefix}; then
echo
echo "********************************************************************"
echo "Installation directory ${prefix} does not exist. Either create it and"
echo "re-run configure, or specify another installation directory using the"
echo "prefix option:"
echo " ./configure --prefix=<installation_directory>"
echo "********************************************************************"
exit 1
fi
# if test ! -d ${prefix}; then
# echo
# echo "********************************************************************"
# echo "Installation directory ${prefix} does not exist. Either create it and"
# echo "re-run configure, or specify another installation directory using the"
# echo "prefix option:"
# echo " ./configure --prefix=<installation_directory>"
# echo "********************************************************************"
# exit 1
#fi
fi
if test "x${OS_IS_WIN}" = "x1"; then
@ -1340,61 +1340,10 @@ else
fi
fi
for ac_declaration in \
''\
'#include <stdlib.h>' \
'extern "C" void std::exit (int) throw (); using std::exit;' \
'extern "C" void std::exit (int); using std::exit;' \
'extern "C" void exit (int) throw ();' \
'extern "C" void exit (int);' \
'void exit (int);'
do
cat > conftest.$ac_ext <<EOF
#line 1354 "configure"
#include "confdefs.h"
#include <stdlib.h>
$ac_declaration
int main() {
exit (42);
; return 0; }
EOF
if { (eval echo configure:1362: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
:
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
rm -rf conftest*
continue
fi
rm -f conftest*
cat > conftest.$ac_ext <<EOF
#line 1372 "configure"
#include "confdefs.h"
$ac_declaration
int main() {
exit (42);
; return 0; }
EOF
if { (eval echo configure:1379: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
break
else
echo "configure: failed program was:" >&5
cat conftest.$ac_ext >&5
fi
rm -f conftest*
done
if test -n "$ac_declaration"; then
echo '#ifdef __cplusplus' >>confdefs.h
echo $ac_declaration >>confdefs.h
echo '#endif' >>confdefs.h
fi
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1398: checking for $ac_word" >&5
echo "configure:1347: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1424,7 +1373,7 @@ if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1428: checking for $ac_word" >&5
echo "configure:1377: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1475,7 +1424,7 @@ fi
# Extract the first word of "cl", so it can be a program name with args.
set dummy cl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1479: checking for $ac_word" >&5
echo "configure:1428: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1507,7 +1456,7 @@ fi
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
echo "configure:1511: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
echo "configure:1460: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
@ -1518,12 +1467,12 @@ cross_compiling=$ac_cv_prog_cc_cross
cat > conftest.$ac_ext << EOF
#line 1522 "configure"
#line 1471 "configure"
#include "confdefs.h"
main(){return(0);}
EOF
if { (eval echo configure:1527: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
if { (eval echo configure:1476: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
ac_cv_prog_cc_works=yes
# If we can't run a trivial program, we are probably using a cross compiler.
if (./conftest; exit) 2>/dev/null; then
@ -1549,12 +1498,12 @@ if test $ac_cv_prog_cc_works = no; then
{ echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
echo "configure:1553: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "configure:1502: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
cross_compiling=$ac_cv_prog_cc_cross
echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
echo "configure:1558: checking whether we are using GNU C" >&5
echo "configure:1507: checking whether we are using GNU C" >&5
if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1563,7 +1512,7 @@ else
yes;
#endif
EOF
if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1567: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:1516: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
ac_cv_prog_gcc=yes
else
ac_cv_prog_gcc=no
@ -1582,7 +1531,7 @@ ac_test_CFLAGS="${CFLAGS+set}"
ac_save_CFLAGS="$CFLAGS"
CFLAGS=
echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
echo "configure:1586: checking whether ${CC-cc} accepts -g" >&5
echo "configure:1535: checking whether ${CC-cc} accepts -g" >&5
if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1615,7 +1564,7 @@ fi
echo $ac_n "checking for ability to precompile headers""... $ac_c" 1>&6
echo "configure:1619: checking for ability to precompile headers" >&5
echo "configure:1568: checking for ability to precompile headers" >&5
if test -n "$GCC"; then
msg=`rm -f *h.gch; $CXX testpch.h &> /dev/null`
@ -1636,7 +1585,7 @@ do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1640: checking for $ac_word" >&5
echo "configure:1589: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_prog_F77'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1669,7 +1618,7 @@ done
fi
echo $ac_n "checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) works""... $ac_c" 1>&6
echo "configure:1673: checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) works" >&5
echo "configure:1622: checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) works" >&5
ac_ext=f
ac_compile='${F77-f77} -c $FFLAGS conftest.$ac_ext 1>&5'
@ -1682,7 +1631,7 @@ cat > conftest.$ac_ext << EOF
end
EOF
if { (eval echo configure:1686: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
if { (eval echo configure:1635: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
ac_cv_prog_f77_works=yes
# If we can't run a trivial program, we are probably using a cross compiler.
if (./conftest; exit) 2>/dev/null; then
@ -1708,12 +1657,12 @@ if test $ac_cv_prog_f77_works = no; then
{ echo "configure: error: installation or configuration problem: Fortran 77 compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
echo "configure:1712: checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "configure:1661: checking whether the Fortran 77 compiler ($F77 $FFLAGS $LDFLAGS) is a cross-compiler" >&5
echo "$ac_t""$ac_cv_prog_f77_cross" 1>&6
cross_compiling=$ac_cv_prog_f77_cross
echo $ac_n "checking whether we are using GNU Fortran 77""... $ac_c" 1>&6
echo "configure:1717: checking whether we are using GNU Fortran 77" >&5
echo "configure:1666: checking whether we are using GNU Fortran 77" >&5
if eval "test \"`echo '$''{'ac_cv_prog_g77'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1722,7 +1671,7 @@ else
yes
#endif
EOF
if { ac_try='$F77 -E conftest.fpp'; { (eval echo configure:1726: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
if { ac_try='$F77 -E conftest.fpp'; { (eval echo configure:1675: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
ac_cv_prog_g77=yes
else
ac_cv_prog_g77=no
@ -1737,7 +1686,7 @@ if test $ac_cv_prog_g77 = yes; then
ac_save_FFLAGS="$FFLAGS"
FFLAGS=
echo $ac_n "checking whether $F77 accepts -g""... $ac_c" 1>&6
echo "configure:1741: checking whether $F77 accepts -g" >&5
echo "configure:1690: checking whether $F77 accepts -g" >&5
if eval "test \"`echo '$''{'ac_cv_prog_f77_g'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -1775,7 +1724,7 @@ if test -n "$G77"; then
fi
echo $ac_n "checking for Fortran 77 libraries""... $ac_c" 1>&6
echo "configure:1779: checking for Fortran 77 libraries" >&5
echo "configure:1728: checking for Fortran 77 libraries" >&5
if eval "test \"`echo '$''{'ac_cv_flibs'+set}'`\" = set"; then
@ -1935,13 +1884,13 @@ esac
echo $ac_n "checking for object suffix""... $ac_c" 1>&6
echo "configure:1939: checking for object suffix" >&5
echo "configure:1888: checking for object suffix" >&5
if eval "test \"`echo '$''{'ac_cv_objext'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
rm -f conftest*
echo 'int i = 1;' > conftest.$ac_ext
if { (eval echo configure:1945: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:1894: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
for ac_file in conftest.*; do
case $ac_file in
*.c) ;;
@ -1959,12 +1908,12 @@ OBJEXT=$ac_cv_objext
ac_objext=$ac_cv_objext
echo $ac_n "checking for Cygwin environment""... $ac_c" 1>&6
echo "configure:1963: checking for Cygwin environment" >&5
echo "configure:1912: checking for Cygwin environment" >&5
if eval "test \"`echo '$''{'ac_cv_cygwin'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 1968 "configure"
#line 1917 "configure"
#include "confdefs.h"
int main() {
@ -1975,7 +1924,7 @@ int main() {
return __CYGWIN__;
; return 0; }
EOF
if { (eval echo configure:1979: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:1928: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_cygwin=yes
else
@ -1992,19 +1941,19 @@ echo "$ac_t""$ac_cv_cygwin" 1>&6
CYGWIN=
test "$ac_cv_cygwin" = yes && CYGWIN=yes
echo $ac_n "checking for mingw32 environment""... $ac_c" 1>&6
echo "configure:1996: checking for mingw32 environment" >&5
echo "configure:1945: checking for mingw32 environment" >&5
if eval "test \"`echo '$''{'ac_cv_mingw32'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
cat > conftest.$ac_ext <<EOF
#line 2001 "configure"
#line 1950 "configure"
#include "confdefs.h"
int main() {
return __MINGW32__;
; return 0; }
EOF
if { (eval echo configure:2008: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:1957: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
ac_cv_mingw32=yes
else
@ -2023,7 +1972,7 @@ test "$ac_cv_mingw32" = yes && MINGW32=yes
echo $ac_n "checking for executable suffix""... $ac_c" 1>&6
echo "configure:2027: checking for executable suffix" >&5
echo "configure:1976: checking for executable suffix" >&5
if eval "test \"`echo '$''{'ac_cv_exeext'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
else
@ -2033,7 +1982,7 @@ else
rm -f conftest*
echo 'int main () { return 0; }' > conftest.$ac_ext
ac_cv_exeext=
if { (eval echo configure:2037: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
if { (eval echo configure:1986: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
for file in conftest.*; do
case $file in
*.c | *.o | *.obj) ;;
@ -2123,7 +2072,7 @@ fi
# SO is the extension of shared libraries `(including the dot!)
# -- usually .so, .sl on HP-UX, .dll on Cygwin
echo $ac_n "checking SO""... $ac_c" 1>&6
echo "configure:2127: checking SO" >&5
echo "configure:2076: checking SO" >&5
if test -z "$SO"
then
case $ac_sys_system in
@ -2626,8 +2575,9 @@ rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
# )
#cp -f ../config.h ../Cantera/src
if test "x${OS_IS_WIN}" = "x1"; then
cp -f ../config.h ../Cantera/src
fi
echo
if test "x${OS_IS_WIN}" = "x0"; then
echo "Now type '${MAKE}' to build Cantera"

View file

@ -51,16 +51,16 @@ if test "x${prefix}" = "xNONE"; then
prefix=${ac_default_prefix}
fi
local_inst=0
if test ! -d ${prefix}; then
echo
echo "********************************************************************"
echo "Installation directory ${prefix} does not exist. Either create it and"
echo "re-run configure, or specify another installation directory using the"
echo "prefix option:"
echo " ./configure --prefix=<installation_directory>"
echo "********************************************************************"
exit 1
fi
# if test ! -d ${prefix}; then
# echo
# echo "********************************************************************"
# echo "Installation directory ${prefix} does not exist. Either create it and"
# echo "re-run configure, or specify another installation directory using the"
# echo "prefix option:"
# echo " ./configure --prefix=<installation_directory>"
# echo "********************************************************************"
# exit 1
#fi
fi
if test "x${OS_IS_WIN}" = "x1"; then
@ -579,8 +579,9 @@ AC_OUTPUT(../Cantera/Makefile \
../test_problems/surfkin/Makefile \
../test_problems/diamondSurf/Makefile )
# )
#cp -f ../config.h ../Cantera/src
if test "x${OS_IS_WIN}" = "x1"; then
cp -f ../config.h ../Cantera/src
fi
echo
if test "x${OS_IS_WIN}" = "x0"; then
echo "Now type '${MAKE}' to build Cantera"